Bug Labs Home First Last Prev Next    No search results available
Details
: Syntax Highlighting for Code fields on bugcommunity.com/f...
Bug#: 184
: buglabs.net
: Enhancement
Status: CLOSED
Resolution: FIXED
: PC
: Linux
: unspecified
: P3
: normal

: http://codepress.org/
Eclipse Version: ---
Version Verified In:
:
:
  Show dependency tree - Show dependency graph
People
Reporter: John Connolly <jconnolly@buglabs.net>
Assigned To: Amie <amie@buglabs.net>
: Brian Cruskie <brianc@buglabs.net>
:

Attachments


Note

You need to log in before you can comment on or make changes to this bug.

Related actions


Description:   Opened: 2008-05-22 10:13
Al and I have been kicking around the idea of allowing for Java syntax
highlighting for our community message boards.  

While the ability to include code on the forums is important, it would be much
more useful if it were more readable.  There are a variety of solutions for
this, a php solution, more specifically a phpbb solution, an apache solution,
or even a javascript solution.  I think the latter is probably the best
candidate, in that it would require the least amount of work.  CodePress is a
project on sourceforge to exactly what we're talking about (and a bit more,
allowing for dynamic syntax highlighting!)

http://codepress.org 

For an example of an exceptionally ugly forum post, because of a lack of syntax
highlighting, check out this posting:

http://bugcommunity.com/forums/viewtopic.php?p=1647#1647
------- Comment #1 From Brian Ballantine 2009-01-30 17:37:07 -------
We're moving the forums into the community site.  I'm assigning to Amie so she
can keep this in mind when she does the forums migration.
------- Comment #2 From Amie 2009-04-27 12:44:05 -------
This is done with the new release of community site. 

Thanks,
Amie 
------- Comment #3 From Brian Cruskie 2009-05-13 13:33:49 -------
Verified.

First Last Prev Next    No search results available